diff --git a/Makefile b/Makefile
index 1b9cb16..cdaedd4 100644
--- a/Makefile
+++ b/Makefile
@@ -79,12 +79,22 @@ parallel: noweb ${MNT}/${SYS}/bin/document
 	@ ${ENV} ${MAKE} parallelinput ${NOISE} &
 	@ echo p5 starting parallel make of xhtml documents
 	@ ${ENV} ${MAKE} parallelxhtml ${NOISE} &
-	@ echo p6 starting parallel make of src
+	@ echo p6 starting parallel make of help
+	@ ${ENV} $(MAKE) parallelhelp ${NOISE} &
+	@ echo p7 starting parallel make of src
 	@ ${ENV} $(MAKE) -f Makefile.${SYS} 
 	@ echo 3 finished system build on `date` | tee >lastBuildDate
 
+parallelhelp:
+	@ echo p8 parallel making of help files
+	@ ( mkdir -p ${MNT}/${SYS}/doc/spadhelp ; \
+	    mkdir -p ${INT}/input ; \
+	    cd ${SRC}/algebra ; \
+	    ${TANGLE} -t8 Makefile.pamphlet >Makefile.help ; \
+	    ${ENV} $(MAKE) -f Makefile.help parallelhelp )
+
 parallelinput:
-	@ echo p6 parallel making input documents
+	@ echo p9 parallel making input documents
 	@ ( mkdir -p ${MNT}/${SYS}/doc/src/input ; \
             cd ${MNT}/${SYS}/doc/src/input ; \
 	    cp ${SRC}/scripts/tex/axiom.sty . ; \
@@ -99,7 +109,7 @@ parallelinput:
 	     rm -f *.aux )
 
 parallelxhtml:
-	@ echo p7 parallel making xhtml pages
+	@ echo p10 parallel making xhtml pages
 	@mkdir -p ${MNT}/${SYS}/doc/hypertex/bitmaps
 	@(cd ${MNT}/${SYS}/doc/hypertex ; \
 	  ${TANGLE} -t8 ${SPD}/books/bookvol11.pamphlet >Makefile11 ; \
diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index ab30695..70ae696 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -53,12 +53,22 @@ parallel: noweb ${MNT}/${SYS}/bin/document
 	@ ${ENV} ${MAKE} parallelinput ${NOISE} &
 	@ echo p5 starting parallel make of xhtml documents
 	@ ${ENV} ${MAKE} parallelxhtml ${NOISE} &
-	@ echo p6 starting parallel make of src
+	@ echo p6 starting parallel make of help
+	@ ${ENV} $(MAKE) parallelhelp ${NOISE} &
+	@ echo p7 starting parallel make of src
 	@ ${ENV} $(MAKE) -f Makefile.${SYS} 
 	@ echo 3 finished system build on `date` | tee >lastBuildDate
 
+parallelhelp:
+	@ echo p8 parallel making of help files
+	@ ( mkdir -p ${MNT}/${SYS}/doc/spadhelp ; \
+	    mkdir -p ${INT}/input ; \
+	    cd ${SRC}/algebra ; \
+	    ${TANGLE} -t8 Makefile.pamphlet >Makefile.help ; \
+	    ${ENV} $(MAKE) -f Makefile.help parallelhelp )
+
 parallelinput:
-	@ echo p6 parallel making input documents
+	@ echo p9 parallel making input documents
 	@ ( mkdir -p ${MNT}/${SYS}/doc/src/input ; \
             cd ${MNT}/${SYS}/doc/src/input ; \
 	    cp ${SRC}/scripts/tex/axiom.sty . ; \
@@ -73,7 +83,7 @@ parallelinput:
 	     rm -f *.aux )
 
 parallelxhtml:
-	@ echo p7 parallel making xhtml pages
+	@ echo p10 parallel making xhtml pages
 	@mkdir -p ${MNT}/${SYS}/doc/hypertex/bitmaps
 	@(cd ${MNT}/${SYS}/doc/hypertex ; \
 	  ${TANGLE} -t8 ${SPD}/books/bookvol11.pamphlet >Makefile11 ; \
diff --git a/changelog b/changelog
index 970afdc..28cc14d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20090706 tpd src/axiom-website/patches.html 20090706.01.tpd.patch
+20090706 tpd src/algebra/Makefile parallel make help files
+20090706 tpd Makefile parallel make help files
 20090702 tpd src/axiom-website/patches.html 20090702.01.tpd.patch
 20090702 tpd src/algebra/Makefile add Any.regress, Any.help
 20090702 tpd books/bookvol10.3 fix = in Any, add regression and help files
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index eb46aaa..f236d7a 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -17990,10 +17990,11 @@ ${HELP}/ZeroDimensionalSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
 <<layer22>>
 <<order>>
 
-all: src ${OUT}/libdb.text ${DOCFILES} ${SPADBIN}/index.html \
-        ${SPADHELP} gloss
+all: src ${OUT}/libdb.text ${DOCFILES} ${SPADBIN}/index.html gloss
 	@ echo 4302 finished ${IN}
 
+parallelhelp: ${SPADHELP}
+
 <<newcode>>
 
 ${SPADBIN}/index.html:
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4a975a0..5ef2018 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1683,5 +1683,7 @@ bookvol5 default set message autoload off<br/>
 bookvol10.3 TexFormat fix horizontal fractions<br/>
 <a href="patches/20090702.01.tpd.patch">20090702.01.tpd.patch</a>
 bookvol10.3 fix = in Any, add regression and help files<br/>
+<a href="patches/20090706.01.tpd.patch">20090706.01.tpd.patch</a>
+Makefile, src/algebra/Makefile parallel make help files<br/>
  </body>
 </html>
